<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>LibSylph: Class List</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.8 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="classes.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>Class List</h1>Here are the classes, structs, unions and interfaces with brief descriptions:<table>
  <tr><td class="indexkey"><a class="el" href="class_sylph_1_1_any.html">Sylph::Any</a></td><td class="indexvalue">Wrapper class for any kind of class </td></tr>
  <tr><td class="indexkey"><a class="el" href="class_sylph_1_1_application.html">Sylph::Application</a></td><td class="indexvalue">Class representing an application </td></tr>
  <tr><td class="indexkey"><a class="el" href="class_sylph_1_1_application_self.html">Sylph::ApplicationSelf</a></td><td class="indexvalue">An <a class="el" href="class_sylph_1_1_application.html" title="Class representing an application.">Application</a> representing the currently running application </td></tr>
  <tr><td class="indexkey"><a class="el" href="class_sylph_1_1_array.html">Sylph::Array&lt; T &gt;</a></td><td class="indexvalue"><a class="el" href="class_sylph_1_1_array.html" title="Array provides a safe array.">Array</a> provides a safe array </td></tr>
  <tr><td class="indexkey"><a class="el" href="class_sylph_1_1_array_1_1iterator.html">Sylph::Array&lt; T &gt;::Array::iterator</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey"><a class="el" href="class_sylph_1_1_array_exception.html">Sylph::ArrayException</a></td><td class="indexvalue">A generic <a class="el" href="class_sylph_1_1_exception.html" title="This class provides a ready-to-use interface for exception handling.">Exception</a> when an error occurs with an <a class="el" href="class_sylph_1_1_array.html" title="Array provides a safe array.">Array</a> </td></tr>
  <tr><td class="indexkey"><a class="el" href="class_assertion.html">Assertion</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey"><a class="el" href="class_sylph_1_1_bidirectional_iterator.html">Sylph::BidirectionalIterator&lt; T, I &gt;</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey"><a class="el" href="class_sylph_1_1_byte_buffer.html">Sylph::ByteBuffer</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey"><a class="el" href="struct_sylph_1_1_equals.html">Sylph::Equals&lt; T &gt;</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey"><a class="el" href="class_sylph_1_1_exception.html">Sylph::Exception</a></td><td class="indexvalue">This class provides a ready-to-use interface for exception handling </td></tr>
  <tr><td class="indexkey"><a class="el" href="class_sylph_1_1_file.html">Sylph::File</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey"><a class="el" href="class_sylph_1_1_file_exception.html">Sylph::FileException</a></td><td class="indexvalue">A genreric <a class="el" href="class_sylph_1_1_exception.html" title="This class provides a ready-to-use interface for exception handling.">Exception</a> which gets thrown whenever something goes wrong in the <a class="el" href="class_sylph_1_1_file.html">File</a> class </td></tr>
  <tr><td class="indexkey"><a class="el" href="class_sylph_1_1_forward_iterator.html">Sylph::ForwardIterator&lt; T, I &gt;</a></td><td class="indexvalue">Facade used to simplify usage of forward iterators </td></tr>
  <tr><td class="indexkey"><a class="el" href="class_sylph_1_1_hash_map.html">Sylph::HashMap&lt; key_, value_, hash_, equals_ &gt;</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey"><a class="el" href="class_sylph_1_1_illegal_argument_exception.html">Sylph::IllegalArgumentException</a></td><td class="indexvalue">Generic exception to flag an argument with an illegal state was passed to an function or method </td></tr>
  <tr><td class="indexkey"><a class="el" href="class_sylph_1_1_illegal_state_exception.html">Sylph::IllegalStateException</a></td><td class="indexvalue">Generic exception to flag that a method is not supported in the current state of the object it is invoked on </td></tr>
  <tr><td class="indexkey"><a class="el" href="class_sylph_1_1_i_o_exception.html">Sylph::IOException</a></td><td class="indexvalue">This is a generic exception for I/O errors </td></tr>
  <tr><td class="indexkey"><a class="el" href="class_sylph_1_1_null_pointer_exception.html">Sylph::NullPointerException</a></td><td class="indexvalue">This <a class="el" href="class_sylph_1_1_exception.html" title="This class provides a ready-to-use interface for exception handling.">Exception</a> gets thrown when a pointer to <code>null</code> is passed to a function or method </td></tr>
  <tr><td class="indexkey"><a class="el" href="class_sylph_1_1_object.html">Sylph::Object</a></td><td class="indexvalue">The root of all classes </td></tr>
  <tr><td class="indexkey"><a class="el" href="class_sylph_1_1_pointer_manager.html">Sylph::PointerManager</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey"><a class="el" href="class_sylph_1_1_random_access_iterator.html">Sylph::RandomAccessIterator&lt; T, I &gt;</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey"><a class="el" href="class_sylph_1_1_serialization_exception.html">Sylph::SerializationException</a></td><td class="indexvalue">This <a class="el" href="class_sylph_1_1_exception.html" title="This class provides a ready-to-use interface for exception handling.">Exception</a> gets thrown if there is a problem with serializing or deserializing an object </td></tr>
  <tr><td class="indexkey"><a class="el" href="class_sylph_1_1_string.html">Sylph::String</a></td><td class="indexvalue">Character strings </td></tr>
  <tr><td class="indexkey"><a class="el" href="class_sylph_1_1_string_buffer.html">Sylph::StringBuffer</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey"><a class="el" href="class_sylph_1_1_sylph_iterator.html">Sylph::SylphIterator&lt; Iter &gt;</a></td><td class="indexvalue"><a class="el" href="class_sylph_1_1_sylph_iterator.html" title="SylphIterator provides a easier-to-use wrapper around STL iterators.">SylphIterator</a> provides a easier-to-use wrapper around STL iterators </td></tr>
  <tr><td class="indexkey"><a class="el" href="class_sylph_1_1_vector.html">Sylph::Vector&lt; T &gt;</a></td><td class="indexvalue"></td></tr>
</table>
</div>
<hr size="1" class="unhidden"><address style="text-align: right;"><small>
Documentation for LibSylph by Doxygen
</body>
</html>
